LibreOffice: GlobalEventBroadcaster Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
GlobalEventBroadcaster Service Reference

A legacy (single-instance) service-variant of theGlobalEventBroadcaster singleton. More...

`import <GlobalEventBroadcaster.idl;`

Inheritance diagram for GlobalEventBroadcaster:

## Additional Inherited Members
Exported Interfaces inherited from XGlobalEventBroadcaster
interface | ::com::sun::star::document::XEventsSupplier
| makes it possible to register listeners which are called whenever a document event occurs in any document
interface | ::com::sun::star::document::XDocumentEventBroadcaster
| access to bound event handlers
interface | ::com::sun::star::container::XSet
interface | ::com::sun::star::document::XDocumentEventListener
Public Member Functions inherited from XEventsSupplier
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDocumentEventBroadcaster
void | addDocumentEventListener ([in] XDocumentEventListener Listener)
| registers a listener which is notified about document events
void | removeDocumentEventListener ([in] XDocumentEventListener Listener)
| revokes a listener which has previously been registered to be notified about document events.
void | notifyDocumentEvent ([in] string EventName, [in] ::com::sun::star::frame::XController2 ViewController, [in] any Supplement) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::NoSupportException )
| causes the broadcaster to notify all registered listeners of the given event
Public Member Functions inherited from XSet
boolean | has ([in] any aElement)
void | insert ([in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| inserts the given element into this container.
void | remove ([in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| removes the given element from this container.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XDocumentEventListener
void | documentEventOccured ([in] DocumentEvent Event)
| is called whenever a document event occurred
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.

## Detailed Description

A legacy (single-instance) service-variant of theGlobalEventBroadcaster singleton.

Deprecated
  Use theGlobalEventBroadcaster singleton instead.

The documentation for this service was generated from the following file:

- com/sun/star/frame/GlobalEventBroadcaster.idl